@mixin icon($icon, $size: 30px) {
  &:before {
    content: '';
    width: $size;
    height: $size;
    display: inline-block;
    background-image: url("~/static/icons/#{$icon}.svg");
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;

    @content;
  }
}
